angular.module('IDRMAGISOFT').controller('PrioridadesController', InitController);
InitController.$inject = ['$scope', '$state', '$sessionStorage', 'servicios', '$interval', '$http'];
function InitController($scope, $state, $sessionStorage, servicios, $interval, $http) {

    $scope.mostrarPrioridades = false;
    $scope.prioridades = false;
    $scope.TomeSuTurno = false;
    $scope.TomeSuTurno2 = false;
    console.log($sessionStorage.nivel);
    var PrioridadSeleccionada = 0;

    

    $scope.cancelar = function () {
        let url = "app/model/Servidor.php?accion=CancelarTurno&turno=" + $scope.turno;
        $http.get(url).then(function (response) {
            delete $sessionStorage.Prioridad;
            delete $sessionStorage.idrelacionServicio;
            delete $sessionStorage.NombreCliente;
            delete $sessionStorage.IdPersona;
            delete $sessionStorage.Cedula;
            delete $sessionStorage.PrioridadSeleccionada;
            delete $sessionStorage.turnoImp;
            delete $sessionStorage.servicioImp;
            delete $sessionStorage.nivel;
            $state.go("index"); 
        });
    }
    $scope.ImprimirTurno = function () {
        $state.go("index"); 

    }
    
    $scope.ClicPrioridad = function (prioridad) {
        PrioridadSeleccionada = prioridad;
        $scope.mostrarPrioridades = false;
        $scope.prioridades = false;
        $scope.TomeSuTurno = true;
        MostrarTurno();
    }

    function MostrarTurno() {
        $sessionStorage.PrioridadSeleccionada = PrioridadSeleccionada;
        var nombrePersona = '';
        var idPersona = '';
            if($sessionStorage.NombreCliente == undefined){
                nombrePersona = '';
            }else{
                nombrePersona = $sessionStorage.NombreCliente;
            }
            if($sessionStorage.IdPersona == undefined){
                idPersona = '';
            }else{
                idPersona = $sessionStorage.IdPersona;
            }

            let url = "app/model/Servidor.php?accion=SacarTurno&idservicio=" + $sessionStorage.IdServicio + "&prioridad=" + $sessionStorage.PrioridadSeleccionada + "&idrelacionServicio=" + $sessionStorage.idrelacionServicio + "&cedula=" + $sessionStorage.Cedula + "&nombrecliente=" + nombrePersona + "&IdPersona=" + idPersona + "&nivel=" + $sessionStorage.nivel;
            $http.post(url).then(function (response) {
                if (response.data.estado === 'limite') {
                    alert('El servicio ha alcanzado el limite de asistencias!');
                    $state.go("index");
                } else if (response.data.estado == "nocita") {
                    $scope.Cedula2 = $sessionStorage.Cedula;
                    $("#modalnocita ").modal("show");
                    $("#modalnocita").modal({ backdrop: "static", keyboard: false });
                    //PARA DESACTIVAR LA MODAL DESPUES DE X SEGUNDOS
                    var intervalnocita = $interval(function () {
                        $("#modalnocita").modal("hide");
                        $interval.cancel(intervalnocita);
                        RegresarInicio();
                    }, 5000);
                    //
                }else {
                    $scope.mostrarPrioridades = false;
                    $scope.prioridades = false;
                    if(parseInt($sessionStorage.tipoSeleccionada) == 0){
                        $scope.turno = response.data.turno;
                        $scope.servicio = response.data.servicio;
                        $scope.mensaje = response.data.mensaje;
                        $scope.tiempofaltante = response.data.tiempofaltante;
                        $scope.fecha = moment().format('YYYY-MM-DD HH:mm:ss');
                        if ( $sessionStorage.NombreCliente != "" && typeof $sessionStorage.NombreCliente != 'undefined' && $sessionStorage.NombreCliente != 'Sin Registro') {
                            $scope.nombrePersona = $sessionStorage.NombreCliente;
                        } else {
                            $scope.nombrePersona = response.data.turno;
                        }
                        $scope.TomeSuTurno = true;
                    }else{
                        $http.get("app/model/enviarMensaje.php?&turno=" + response.data.turno + "&servicio=" + response.data.servicio + "&idturno=" +response.data.idturno + "&idservicios=" +response.data.idservicio)
                        .then(function (response) {
                           
                        });
                        $scope.TomeSuTurno2 = true;
                        var intervalGif = $interval(function () {
                             $interval.cancel(intervalGif);
                             delete $sessionStorage.Prioridad;
                             delete $sessionStorage.idrelacionServicio;
                             delete $sessionStorage.NombreCliente;
                             delete $sessionStorage.IdPersona;
                             delete $sessionStorage.Cedula;
                             delete $sessionStorage.PrioridadSeleccionada;
                             delete $sessionStorage.turnoImp;
                             delete $sessionStorage.servicioImp;
                             delete $sessionStorage.nivel;
                             $state.go("index");
                        }, 2000);
                    }
                    
                }
            });
    }
if ($sessionStorage.Prioridad == 2) {
        $scope.mostrarPrioridades = true;
        $scope.prioridades = true;
    } else {
        PrioridadSeleccionada = $sessionStorage.Prioridad;
        MostrarTurno();
    }
    function RegresarInicio() {
        delete $sessionStorage.Prioridad;
        delete $sessionStorage.idrelacionServicio;
        delete $sessionStorage.NombreCliente;
        delete $sessionStorage.IdPersona;
        delete $sessionStorage.Cedula;
        delete $sessionStorage.nivel;
        $state.go("index");
    }
    
}